Bug 1717953 - SELinux context labels are missing for newly added bricks using add-brick command
Summary: SELinux context labels are missing for newly added bricks using add-brick com...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: scripts
Version: mainline
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Anoop C S
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1718227
TreeView+ depends on / blocked
 
Reported: 2019-06-06 14:09 UTC by Anoop C S
Modified: 2019-06-19 13:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1718227 (view as bug list)
Environment:
Last Closed: 2019-06-19 13:08:33 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22834 None Merged extras/hooks: Add SELinux label on new bricks during add-brick 2019-06-12 09:00:11 UTC
Gluster.org Gerrit 22856 None Merged extras/hooks: Install and package newly added post add-brick hook script 2019-06-19 13:08:30 UTC

Description Anoop C S 2019-06-06 14:09:30 UTC
Description of problem:
When we add new bricks to an existing volume using add-brick command "glusterd_brick_t" SELinux context label is not assigned on those new brick paths.

Version-Release number of selected component (if applicable):
master

How reproducible:
Always

Steps to Reproduce:
1. Create and start a basic distribute-replicate volume
2. Verify that brick paths have "glusted_brick_t" SELinux labels by running `ls -lZ <brick-path>`
3. Add new bricks to the existing volume
4. Check SELinux labels on newly added brick paths

Actual results:
"glusterd_brick_t" SELinux label is missing on newly added bricks

Expected results:
Following SELinux label is expected:
system_u:object_r:glusterd_brick_t:s0

Comment 1 Worker Ant 2019-06-06 14:16:18 UTC
REVIEW: https://review.gluster.org/22834 (extras/hooks: Add SELinux label on new bricks during add-brick) posted (#1) for review on master by Anoop C S

Comment 2 Worker Ant 2019-06-12 09:00:12 UTC
REVIEW: https://review.gluster.org/22834 (extras/hooks: Add SELinux label on new bricks during add-brick) merged (#4) on master by Amar Tumballi

Comment 3 Anoop C S 2019-06-12 10:18:16 UTC
Re-opening as previous patch failed to install and package new hook script.

Comment 4 Worker Ant 2019-06-12 10:24:15 UTC
REVIEW: https://review.gluster.org/22856 (extras/hooks: Install and package newly added post add-brick hook script) posted (#1) for review on master by Anoop C S

Comment 5 Worker Ant 2019-06-19 13:08:33 UTC
REVIEW: https://review.gluster.org/22856 (extras/hooks: Install and package newly added post add-brick hook script) merged (#4) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.